<!-- The template element is a Vue.js element that is used to wrap template fragments that are not rendered directly to the DOM.-->
<script setup>
import { ref, onMounted } from "vue";
import axios from "axios";
import { DeletedTasks } from "../composables/Tasks";

const fetchIncompleteTodos = async () => {
  axios
    .get("http://localhost/task-axios-1/src/php/API.php?completed=1")
    .then((response) => {
      DeletedTasks.value = response.data.data.filter(
        (task) => task.completed === 1
      );
      console.log(DeletedTasks.value);
    });
};
fetchIncompleteTodos();
</script>

<template>
  <div class="flex justify-center">
    <div class="full-width q-pa-xl">
      <h6 class="q-my-none q-mb-md">My Deleted Tasks</h6>
      <div class="q-mt-xl">
        <q-card v-for="row in DeletedTasks" :key="row.id" class="q-mt-sm">
          <q-card-section class="bg-primary text-white q-pa-none">
            <div class="text-bold q-pa-md">{{ row.todo || row.title }}</div>
          </q-card-section>
        </q-card>
        <q-card class="q-mt-sm" v-for="row in incompleteTodos" :key="row.id">
          <q-card-section
            class="bg-primary text-white q-pa-none flex justify-between items-center"
          >
            <div class="text-bold q-pa-md">{{ row.title }}</div>
          </q-card-section>
        </q-card>
      </div>
    </div>
  </div>
</template>
